Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version11

# Class V11OutputBlob

java.lang.Object
org.firebirdsql.gds.ng.AbstractFbBlob
org.firebirdsql.gds.ng.wire.AbstractFbWireBlob
org.firebirdsql.gds.ng.wire.AbstractFbWireOutputBlob
org.firebirdsql.gds.ng.wire.version10.V10OutputBlob
org.firebirdsql.gds.ng.wire.version11.V11OutputBlob

All Implemented Interfaces:
  `AutoCloseable`, `FbBlob`, `DatabaseListener`, `ExceptionListenable`, `TransactionListener`, `FbWireBlob`

public class V11OutputBlob extends V10OutputBlob
Output `FbWireBlob` implementation for the version 11 wire protocol.

Since:
  5.0.7
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireBlob

`AbstractFbWireBlob.BlobOpenOperation`

## Nested classes/interfaces inherited from class org.firebirdsql.gds.ng.AbstractFbBlob

`AbstractFbBlob.BlobState`

## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.FbBlob

`FbBlob.SeekMode`

## Field Summary

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbBlob

`exceptionListenerDispatcher`

### Fields inherited from interface org.firebirdsql.gds.ng.FbBlob

`NO_BLOB_ID`

## Constructor Summary

Constructors
Constructor
Description
`V11OutputBlob(FbWireDatabase database, FbWireTransaction transaction, BlobParameterBuffer blobParameterBuffer)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkBlobOpen()`
Checks if the blob is open.
`void`
`open()`
Opens an existing input blob, or creates an output blob.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10OutputBlob

`consumePutSegmentResponses, put`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireOutputBlob

`get, getBlobId, getSegment, isOutput, processOpenResponse, seek, setBlobId`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireBlob

`cancelImpl, closeImpl, getBlobInfo, getDatabase, getHandle, getXdrIn, getXdrOut, receiveOpenResponse, releaseBlob, releaseResources, sendOpen, setHandle, wrapDeferredResponse`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbBlob

`addExceptionListener, cancel, checkBlobClosed, checkDatabaseAttached, checkTransactionActive, clearDatabase, clearDeferredException, clearTransaction, close, createBlobLengthProcessor, detached, detaching, errorOccurred, get, get, getBlobInfo, getBlobParameterBuffer, getKnownBlobInfoItems, getMaximumSegmentSize, getState, getTransaction, isEndingTransaction, isEof, isOpen, length, putSegment, registerDeferredException, removeExceptionListener, resetEof, setEof, setState, throwAndClearDeferredException, transactionStateChanged, transferDeferredExceptionTo, validateBufferLength, warningReceived, withLock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.DatabaseListener

`detached, detaching, warningReceived`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Methods inherited from interface org.firebirdsql.gds.ng.FbBlob

`cancel, close, get, get, getBlobId, getBlobInfo, getBlobInfo, getDatabase, getHandle, getMaximumSegmentSize, getSegment, isEof, isOpen, isOutput, length, putSegment, seek`

## Constructor Details

### V11OutputBlob

public V11OutputBlob(FbWireDatabase database, FbWireTransaction transaction, BlobParameterBuffer blobParameterBuffer) throws SQLException

Throws:
  `SQLException`

## Method Details

### open

public void open() throws SQLException
Description copied from interface: `FbBlob`
Opens an existing input blob, or creates an output blob.

Specified by:
  `open` in interface `FbBlob`
Overrides:
  `open` in class `V10OutputBlob`
Throws:
  `SQLException` - If the blob is already open, this is a (closed) output blob and it already has a blobId, the transaction is not active, or a database connection error occurred

### checkBlobOpen

protected void checkBlobOpen() throws SQLException
Description copied from class: `AbstractFbBlob`
Checks if the blob is open.

NOTE: Subclasses may perform additional side effects, like queuing a server-side open for a deferred open blob.

Overrides:
  `checkBlobOpen` in class `AbstractFbBlob`
Throws:
  `SQLException` - when the blob is closed.